#include "LoRa_E32.h"
#include <SoftwareSerial.h>
SoftwareSerial mySerial(10, 11); // Arduino RX <-- e32 TX, Arduino TX --> e32 RX
LoRa_E32 e32ttl(&mySerial);


struct Signal  {
  char firma[21] ;
  byte aydinlatma[1];
  byte sulama[1];
  byte kapi[1];
} data;

void setup() {
  Serial.begin(9600);
  e32ttl.begin();
  delay(500);

}

void loop() {
  while (e32ttl.available()  > 1) {
    ResponseStructContainer rsc = e32ttl.receiveMessage(sizeof(Signal));
    struct Signal data = *(Signal*) rsc.data;
    Serial.print("Yer: ");
    Serial.println(data.firma);
    Serial.print("Aydınlatmalar: ");

    if (*(byte*)(data.aydinlatma))
      Serial.println("Açık");
    else
      Serial.println("Kapalı");

    Serial.print("Sulama: ");

    if (*(byte*)(data.sulama))
      Serial.println("Açık");
    else
      Serial.println("Kapalı");

    Serial.print("Dış Kapı: ");

    if (*(byte*)(data.kapi))
      Serial.println("Açık");
    else
      Serial.println("Kapalı"); 
    rsc.close();
  }
}
